#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

unsigned int tid;

void cb(double *t, int *kc)
{
   XYZ xyz = {0.0, 0.3, 0.4};				/* Location */
   float isize = 0.02;					/* Texture scale */
   XYZ str = { 0.0, 0.0, 0.0};				/* No stretch */
   COLOUR col = { 1.0, 1.0, 0.0 };			/* Yellow */
   float alpha = 0.9; 					/* Alpha channel */
   char trans = 's';					/* Transparency */
   
   ds2vbb(xyz, str, isize, col, tid, alpha, trans); 	/* Draw the billboard */
}

int main(int argc, char *argv[])
{
   s2opend("/?",argc,argv);			/* Open the display */
   s2svp(-1.0,1.0, -1.0,1.0, -1.0,1.0);		/* Set the viewport coords */
   s2swin(-1.0,1.0, -1.0,1.0, -1.0,1.0);	/* Set the window coordinates */
   s2box("BCDE",0,0,"BCDE",0,0,"BCDE",0,0);	/* Draw a bounding box */

   char font[64];				/* Allocate font name string */

#if defined(S2DARWIN)
   sprintf(font,"/Library/Fonts/Arial Black");	/* Path to font */
			/* NOTE: This depends on your local system config */
#else
   sprintf(font,"/usr/X11R6/lib/X11/fonts/truetype/cmmi10.ttf");
#endif

   tid = ss2ftt(font,"s2plot",32,4);		/* Create the texture */

   cs2scb(&cb);					/* Install a callback */

   s2show(1);					/* Open the s2plot window */

   return 1;
}
